Subject: Re: bug#12419: Mouse click changes layout

From: martin rudalics <[email-masked]>
Date: Sat, 15 Sep 2012 11:54:17 +0200

>> The example I gave should have told you.  Think of the bottom window as
 >> the minibuffer window.
 >
 > I did.  And I see no problems with that.

You see no problem with minibuffer window resizing not restoring the
initial configuration?

 >> I use ediff with the control panel on the bottom of the frame.  How can
 >> I resize the minibuffer in this case?
 >
 > Why, by resizing the window above the control panel, of course.

And how would you size the minibuffer back?

 > I
 > didn't say it won't happen, I just said it will be rare, and therefore
 > not a reason not to have that behavior.

OK.  Please try the patch below and tell me whether it does what you
want.

Thanks, martin

=== modified file 'lisp/window.el'
--- lisp/window.el	2012-09-09 06:43:47 +0000
+++ lisp/window.el	2012-09-15 09:26:32 +0000
@@ -2413,7 +2413,9 @@
        ;; So, in practice, we'd need a history variable to record how to
        ;; proceed.  But I'm not sure how such a variable could work with
        ;; repeated minibuffer window growing steps.
-      (window--resize-this-window window delta nil ignore t)
+      (window--resize-this-window
+       window delta nil ignore t 'before
+       (+ (window-top-line window) (window-total-size window)))
        delta)))

  (defun adjust-window-trailing-edge (window delta &optional horizontal)